# Search payment intent This endpoint will provide information of a payment intent created during the last three months, its final status and the payment-id, which can be used to get the final status of the transaction in the Payments API. The Webhook notifications are the main communication point of the payment intent information, then this endpoint should be used for testing and eventualities, and not for polling, because it has restrictions, like allowing to get information one request per second. **GET** `/point/integration-api/payment-intents/{paymentintentid}` ## Request parameters ### Header - `x-test-scope` (string, optional) This is a temporary header, it should be used just for development with the value "sandbox" ### Path - `paymentIntentId` (string, required) Payment intent identification ## Response parameters - `id` (string, optional) Identification of the payment intent - `state` (string, optional) State of the payment intent - `amount` (integer, optional) Total amount of payment intent - `device_id` (string, optional) Identifier of the device to which the payment intent was assigned - `payment` (object, optional) - `payment.id` (int, optional) Identification of the payment in case its flow is completed successfully - `additional_info` (object, optional) - `additional_info.external_reference` (string, optional) Field for the exclusive use of the integrator to include references specific to your system. - `additional_info.print_on_terminal` (boolean, optional) Field used to notify the device if it should print the ticket - `additional_info.ticket_number` (string, optional) ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 401 | 401 | Unauthorized - Token is invalid | | 403 | 403 | Forbidden - Integrator isn't registered | | 404 | 404 | Not-found - Payment intent doesn't exist | | 500 | 500 | Internal server error | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/point/integration-api/payment-intents/{paymentintentid}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "7f25f9aa-eea6-4f9c-bf16-a341f71ba2f1", "state": "FINISHED", "amount": 1500, "device_id": "PAX_A910__SMARTPOS1234345545", "payment": { "id": 16499678033 }, "additional_info": { "external_reference": "some-reference-from-your-application", "print_on_terminal": true, "ticket_number": "S0392JED" } } ```